{% load static %}
<!doctype html>
<html lang="es">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="icon" type="image/png" href="{% static 'images/unmuntdecontesfavicon.png' %}">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'css/login.css' %}">

  <title>Registrar Usuari</title>
</head>

<body>
  <div class="container-fluid">
    <div class="row vh-100 justify-content-center align-items-center">
  <div class="card text-center text-white bg-info mb-3 shadow-lg p-3 rounded width: 18rem;" style="width: 25rem;">
    <div class="card-body">
      <h5 class="card-title">Registrar Usuari</h5>
      <form method="POST">
        <p><label for="id_username">Nom d'Usuari:</label> 
          <input type="text" name="username" maxlength="150" autocapitalize="none" autocomplete="username" autofocus="" required="" id="id_username" placeholder="Introdueix el nom d'usuari">
        </p>
        <p><label for="id_password1">Contrasenya:</label> 
          <input type="password" name="password1" autocomplete="new-password" required="" id="id_password1">
        </p>
        <div id="consell">
          <p class="text-danger" v-on:click="show = !show">
            Consells per crear una contrasenya segura
          </p>
          <transition name="fade">
            <span v-if="show">
              <li >La seva contrasenya no pot assemblar-se tant a la seva altra informació personal.</li>
              <li>La seva contrasenya ha de contenir almenys 8 caràcters.</li>
              <li>La seva contrasenya no pot ser una clau utilitzada comunament.</li>
              <li>La seva contrasenya no pot ser completament numèrica.</li>
            </span>
          </transition>
        </div>
        <p><label for="id_password2">Contrasenya (confirmació):</label> 
          <input type="password" name="password2" autocomplete="new-password" required="" id="id_password2" placeholder="Torna a introduir">
        </p>
        {% csrf_token %}
        <button type="submit" class="btn btn-primary">Registrar Usuari</button>
        <p class="card-text pt-2"><a href="{% url 'iniciar-sessio' %}" class="text-white">Iniciar Sessió</a></p>
      </form>
    </div>
  </div>
</div>
</div>

  </div>

  <!-- Optional JavaScript -->
  <!-- production version, optimized for size and speed -->
<script src="https://cdn.jsdelivr.net/npm/vue"></script>
<script>
  new Vue({
  el: '#consell',
  data: {
    show: false
  }
})
</script>
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>
</body>

</html>